#!/bin/sh
firmware560=0
fwparam=root.Properties.Firmware.Version
if parhandclient get $fwparam  | grep  '^"5\.6' > /dev/null; then
    firmware560=1
fi

rm -rf /usr/html/local/parking /usr/html/local/queue /usr/html/local/heatmap /usr/html/local/bicycle
rm -rf /etc/apache2/conf.d/tvgd.conf
rm -rf /etc/apache2/conf.d/tvpc.conf
rm -rf /etc/apache2/conf.d/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvgd.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvpc.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/urls_tvqu.conf # Remove due to 8.30 firmware includes new permissions

mkdir -p /usr/local/sbin/
cp /usr/local/packages/tvqu/time-source.service /etc/systemd/system/
cp /usr/local/packages/tvqu/ntp.service /etc/systemd/system/
cp /usr/local/packages/tvqu/ntp-SDK2 /usr/local/sbin/ntp-tools
cp /usr/local/packages/tvqu/ntp-init /usr/local/sbin/
chmod 755 /usr/local/sbin/ntp-tools
chmod 755 /usr/local/sbin/ntp-init
systemctl daemon-reload > /dev/null 2>&1
systemctl restart time-source.service >/dev/null 2>&1

cp /usr/local/packages/tvqu/html/queue/public/* /mnt/flash/etc/httpd/html/administrator/

parhandclient --nocgi set root.Network.Bonjour.FriendlyName "AXIS Queue Monitor - `parhandclient --nocgi get root.Brand.ProdShortName - RAW` - `parhandclient --nocgi get root.Properties.System.SerialNumber - RAW`" 2>/dev/null > /dev/null

# Make sure apache (user www) can access our html directory
chown www -R /usr/local/packages/tvqu/html/

# Add Possibility for viewer to see interface and then set specifc permissions for files.
chgrp -R viewer /usr/local/packages/tvqu/*
chmod -R 740 /usr/local/packages/tvqu/*
chmod 750 /usr/local/packages/tvqu/html/queue/*.cgi
chmod 750 /usr/local/packages/tvqu/html/queue
chmod 750 /usr/local/packages/tvqu/html/
chgrp admin /usr/local/packages/tvqu/html/queue/.apiadmin
chgrp operator /usr/local/packages/tvqu/html/queue/*.cgi
chgrp operator /usr/local/packages/tvqu/html/queue/.apioperator
chgrp operator /usr/local/packages/tvqu/html/queue/registration.html
chgrp operator /usr/local/packages/tvqu/html/queue/javascript/registration.js

#Remove axis-created .htaccess files that only allow admin access
find /usr/local/packages/tvqu/html/ -name .htaccess | xargs rm

#Create symlink to axis html so that we can redirect to its index.shtml from /admin/ without
#triggering the previous redirect from /index.shtml to /queue/statistics.html
ln -sf /usr/html/ /usr/local/packages/tvqu/html/queue/axis-html

#Sets apache rewrite rules that redirects /queue/ to /local/tvqu/queue/. This is not removed on uninstallation.
#On >5.80 the vhosts folder was added requiring a new placement of the conf file.
if [ -d "/etc/apache2/conf.d/vhosts/all/" ]; then
    cp /usr/local/packages/tvqu/apache.conf /etc/apache2/conf.d/vhosts/all/tvqu.conf
else
    cp /usr/local/packages/tvqu/apache.conf /etc/apache2/conf.d/tvqu.conf
    # Patch 5.70.1
    if md5sum /etc/apache2/httpd-ssl.conf | grep 36d18473ace756a42947e826cc8c7ee9; then
        echo Patching httpd-ssl.conf to fix issue in 5.70 and 5.75.
        cp httpd-ssl.conf.5.70 /etc/apache2/httpd-ssl.conf
    fi
fi

#The transfer_tvqu.conf file is automatically created with /local/tvqu/ prepended to path set in PeopleCounter-cgipaths.conf.
#For our redirecting to work however this prepending must be removed.
sed -rne 's/\/local\/tvqu\//\//p' /etc/apache2/transfer/transfer_tvqu.conf > transfer_tvqu.conf.tmp
cat transfer_tvqu.conf.tmp > /etc/apache2/transfer/transfer_tvqu.conf
rm transfer_tvqu.conf.tmp

# Move old files to new location and remove unused file
rm /mnt/flash/tvhm.buf
mv /mnt/flash/hval.buf /usr/local/packages/tvqu/localdata/hval.buf
mv /mnt/flash/hvalmin.buf /usr/local/packages/tvqu/localdata/hvalmin.buf
mv /mnt/flash/hvalpeople.buf /usr/local/packages/tvqu/localdata/hvalpeople.buf

#Start tvqu via axis api. Sleep 5 to let axis restart httpd first.
if systemctl status | grep [a]capmanager >/dev/null 2>&1; then
    echo ENABLED=yes > /usr/local/packages/tvqu/conf/runstate.conf
else
    sleep 5
    export QUERY_STRING="action=start&package=tvqu"
    /usr/html/axis-cgi/applications/control.cgi >/dev/null  2>&1
fi


echo 'postinstall reached end of file'
